org.keycloak.events.jpa

## Class AdminEventEntity

- java.lang.Object
- - org.keycloak.events.jpa.AdminEventEntity

-     @Entity
      public class AdminEventEntity
      extends Object

  Author:
    Giriraj Sharma

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminEventEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthClientId()`
    `String` | `getAuthIpAddress()`
    `String` | `getAuthRealmId()`
    `String` | `getAuthUserId()`
    `String` | `getError()`
    `String` | `getId()`
    `String` | `getOperationType()`
    `String` | `getRealmId()`
    `String` | `getRepresentation()`
    `String` | `getResourcePath()`
    `String` | `getResourceType()`
    `long` | `getTime()`
    `void` | `setAuthClientId(String authClientId)`
    `void` | `setAuthIpAddress(String authIpAddress)`
    `void` | `setAuthRealmId(String authRealmId)`
    `void` | `setAuthUserId(String authUserId)`
    `void` | `setError(String error)`
    `void` | `setId(String id)`
    `void` | `setOperationType(String operationType)`
    `void` | `setRealmId(String realmId)`
    `void` | `setRepresentation(String representation)`
    `void` | `setResourcePath(String resourcePath)`
    `void` | `setResourceType(String resourceType)`
    `void` | `setTime(long time)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdminEventEntity

          public AdminEventEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getTime

          public long getTime()

    - #### setTime

          public void setTime(long time)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getOperationType

          public String getOperationType()

    - #### setOperationType

          public void setOperationType(String operationType)

    - #### getAuthRealmId

          public String getAuthRealmId()

    - #### setAuthRealmId

          public void setAuthRealmId(String authRealmId)

    - #### getAuthClientId

          public String getAuthClientId()

    - #### setAuthClientId

          public void setAuthClientId(String authClientId)

    - #### getAuthUserId

          public String getAuthUserId()

    - #### setAuthUserId

          public void setAuthUserId(String authUserId)

    - #### getAuthIpAddress

          public String getAuthIpAddress()

    - #### setAuthIpAddress

          public void setAuthIpAddress(String authIpAddress)

    - #### getResourcePath

          public String getResourcePath()

    - #### setResourcePath

          public void setResourcePath(String resourcePath)

    - #### getRepresentation

          public String getRepresentation()

    - #### setRepresentation

          public void setRepresentation(String representation)

    - #### getError

          public String getError()

    - #### setError

          public void setError(String error)

    - #### getResourceType

          public String getResourceType()

    - #### setResourceType

          public void setResourceType(String resourceType)

Copyright © 2020 JBoss by Red Hat. All rights reserved.